TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.jta
Class TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider

    java.lang.Object
      org.hibernate.service.jdbc.connections.internal.DatasourceConnectionProviderImpl
          org.hibernate.testing.jta.TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider

All Implemented Interfaces:
  Serializable, ConnectionProvider, Service, Configurable, Stoppable, Wrapped

Enclosing class:
  TestingJtaBootstrap

    public static class TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider

extends DatasourceConnectionProviderImpl

See Also:
  Serialized Form

Field Summary
`static TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider` | `INSTANCE`

Constructor Summary
`TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider()`

Method Summary
`Connection` | `getConnection()` Obtains a connection for Hibernate use according to the underlying strategy of this provider.

Methods inherited from class org.hibernate.service.jdbc.connections.internal.DatasourceConnectionProviderImpl
`closeConnection, configure, getDataSource, isUnwrappableAs, setDataSource, setJndiService, stop, supportsAggressiveRelease, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider INSTANCE

Constructor Detail

### TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider

    public TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider()

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Description copied from class: `DatasourceConnectionProviderImpl`
  Obtains a connection for Hibernate use according to the underlying strategy of this provider.

  Specified by:
    `getConnection` in interface `ConnectionProvider`
  Overrides:
    `getConnection` in class `DatasourceConnectionProviderImpl`
  Returns:
    The obtained JDBC connection
  Throws:
    `SQLException` - Indicates a problem opening a connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.